## libkscreen5 5.27.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libkscreen)
set(PROJECT_VERSION "5.27.11")

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMMarkAsTest)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMPoQmTools)
include(FeatureSummary)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Gui Test WaylandClient)
if (QT_MAJOR_VERSION EQUAL "5")
  find_package(Qt5 CONFIG REQUIRED X11Extras)
  find_package(QtWaylandScanner REQUIRED)
endif()
find_package(WaylandScanner)

# Wayland backend
find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(PlasmaWaylandProtocols 1.10.0 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)

find_package(Wayland 1.15 COMPONENTS Client)
set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                      )

# xrandr backend

find_package(XCB COMPONENTS XCB RANDR DPMS)
set_package_properties(XCB PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for building XRandR backends"
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_program(JQ NAMES "jq" DOC "jq is used in zsh completion script")
if(JQ)
  message(STATUS "Found jq executable: ${JQ}")
else()
  message(WARNING "jq executable not found, zsh completions won't work at their full capacity")
endif()

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREEN
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
                        SOVERSION 8)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)

add_subdirectory(src)
add_subdirectory(backends)
if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ecm_install_po_files_as_qm(poqm)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Screen")

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Screen_QCH
        FILE KF5ScreenQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ScreenQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ScreenConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5ScreenTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5ScreenTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
  COMPONENT Devel
)
ecm_qt_install_logging_categories(EXPORT KSCREEN KSCREEN_DPMS KSCREEN_EDID FILE libkscreen.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkscreen5 (4:5.27.11-0ubuntu3) oracular; urgency=high

  * Renamed Qt5 source for plasma 5 to 6 transition.
  * Do not libkscreen daemon service and related files, but instead use the
    approach from archinux and opensuse depending on the Qt 6 versions.
    See: https://gitlab.archlinux.org/archlinux/packaging/packages/libkscreen5/
    -/blob/main/PKGBUILD?ref_type=heads#L16

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Aug 2024 22:46:00 +0100

libkscreen (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:53:06 +0000

libkscreen (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:22:50 +0000

libkscreen (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:19 +0000

libkscreen (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Reease to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:53:31 -0700

libkscreen (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:17:01 +0100

libkscreen (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:52 +0000

libkscreen (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:08 +0200

libkscreen (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:05 +0100

libkscreen (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:46:48 +0200

libkscreen (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:53 +0100

libkscreen (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 14:25:49 +0100

libkscreen (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:49:54 +0200

libkscreen (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:06 +0100

libkscreen (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:37 +0100

libkscreen (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:41 +0200

libkscreen (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:25:49 +0200

libkscreen (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:43 +0100

libkscreen (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:18 +0100

libkscreen (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:14:45 +0100

libkscreen (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:47 +0000

libkscreen (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:29 +0100

libkscreen (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:32 +0000

libkscreen (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:15 +0000

libkscreen (4:5.27.0-1) unstable; urgency=medium

  * Add patch to support building with a version of the C++ standard
    lower than c++17 (thanks Sune Vuorela).
  * Add patch to restore a transitive include fixing FTBFS in downstream
    packages (thanks Sune Vuorela).
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:38 +0100

libkscreen (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * libkf5screen-data Break/Replaces libkf5screen7 (<< 4:5.27.0~)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:17 +0000

libkscreen (4:5.26.90-3) unstable; urgency=medium

  * Add patch to support consumers using less than c++17 (thanks Sune Vuorela).
  * Add patch to restore a transitive include fixing FTBFS in downstream
    packages (thanks Sune Vuorela, closes: #1029611).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Jan 2023 23:07:51 +0100

libkscreen (4:5.26.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:53 +0100

libkscreen (4:5.26.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.


=== debian/control ===
Source: libkscreen5
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~) [linux-any],
               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
               libqt5x11extras5-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-kde-tools (>= 0.15.32~),
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qttools5-dev,
               qtwayland5-dev-tools [linux-any],
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/libkscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
Rules-Requires-Root: no

Package: libkf5screen-bin
Architecture: any
Multi-Arch: foreign
Depends: libkscreen-bin, ${misc:Depends}, ${shlibs:Depends},
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding D-Bus service.

Package: libkf5screen-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5screen7 (<< 4:5.27.0~)
Replaces: libkf5screen7 (<< 4:5.27.0~)
Description: library for screen management - data files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains data files.

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen8 (= ${binary:Version}),
         libkf5screendpms8 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen8
Architecture: any
Multi-Arch: same
Depends: libkf5screen-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: hwdata,
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkf5screendpms8
Architecture: any
Multi-Arch: same
Depends: libkf5screen-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for screen management - dpms support library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the dpms support shared library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps $(foreach p,$(shell dh_listpackages -a | grep -E ^lib.*[0-9]+$$),-p$p) -- -xlibkf5screen-bin
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable tests at build time
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/libkscreen@ANY_VERSION@@ARCHIVE_EXT@
